Skip to main content
GET
/
v2
/
skills
/
{skill_id}
Get Skill
curl --request GET \
  --url https://tavusapi.com/v2/skills/{skill_id} \
  --header 'x-api-key: <api-key>'
{
  "skill_id": "presentation",
  "display_name": "Presentation",
  "description": "Let the PAL walk participants through a slide deck made from uploaded documents."
}
For AI agents, use https://docs.tavus.io/openapi.yaml for the full HTTP API contract.

Authorizations

x-api-key
string
header
required

Path Parameters

skill_id
string
required

The unique identifier of the skill.

Example:

"internet_search"

Response

Successfully retrieved the skill

skill_id
string
Example:

"presentation"

display_name
string
Example:

"Presentation"

description
string
Example:

"Let the PAL walk participants through a slide deck made from uploaded documents."